Page 2 of 2 FirstFirst 12
Results 11 to 14 of 14

Thread: Ubuntu 20 missing packages

  1. #11
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    5,486
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Ubuntu 20 missing packages

    Indeed, first install those updates.

    libegl1-mesa should be available on 20.04 in the universe repo. It's actually a transitional dummy package, so there's nothing in it and it only serves to match dependencies.

    Your problem with vim over ssh isn't likely to be caused by vim (as then it would happen without ssh too). I expect it to be problem with ssh or with the terminal you use on the computer you connect from.

  2. #12
    Join Date
    Jul 2007
    Beans
    41

    Thumbs up Re: Ubuntu 20 missing packages

    Quote Originally Posted by deadflowr View Post
    It look like you never enable the universe repository,
    Try
    Code:
    sudo add-apt-repository universe
    sudo apt update
    sudo full-upgrade
    Then try installing zoom.

    (Note I posted the full-upgrade command because you really should apply all updates first,
    of course you're fine if you ignore it {it's your system} but I've found an updated system
    has fewer package installation problems, than an un-updated system)
    Thank you very much, that did the trick to install zoom.

    The only think still left is that ssh to the machine to run vi, press key i and Esc still got [>4;m[>4;2m, really annoying. Am I the only one have that problem? I've installed vim:

    ii vim 2:8.1.2269-1ubuntu5 amd64
    ii vim-common 2:8.1.2269-1ubuntu5 all
    ii vim-runtime 2:8.1.2269-1ubuntu5 all
    ii vim-tiny 2:8.1.2269-1ubuntu5 amd64

    ii openssh-client 1:8.2p1-4ubuntu0.1 amd64
    ii openssh-server 1:8.2p1-4ubuntu0.1 amd64
    ii openssh-sftp-server 1:8.2p1-4ubuntu0.1 amd64

    Thank you.
    Last edited by jimhce; August 19th, 2020 at 11:08 AM.

  3. #13
    Join Date
    Aug 2005
    Location
    Northern Michigan USA
    Beans
    2,241
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Ubuntu 20 missing packages

    also all the education metapackages are missing on 20.04. I got them from someone in ubuntued that had them on his google drive.

  4. #14
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    11,546
    Distro
    Ubuntu

    Re: Ubuntu 20 missing packages

    Quote Originally Posted by Impavidus View Post
    Indeed, first install those updates.

    libegl1-mesa should be available on 20.04 in the universe repo. It's actually a transitional dummy package, so there's nothing in it and it only serves to match dependencies.
    Yeah, it's definitely a weird one, since the meta-package is in universe, but the only package dependency is in main (?)
    Quote Originally Posted by jimhce View Post
    Thank you very much, that did the trick to install zoom.

    The only think still left is that ssh to the machine to run vi, press key i and Esc still got [>4;m[>4;2m, really annoying. Am I the only one have that problem? I've installed vim:

    ii vim 2:8.1.2269-1ubuntu5 amd64
    ii vim-common 2:8.1.2269-1ubuntu5 all
    ii vim-runtime 2:8.1.2269-1ubuntu5 all
    ii vim-tiny 2:8.1.2269-1ubuntu5 amd64

    ii openssh-client 1:8.2p1-4ubuntu0.1 amd64
    ii openssh-server 1:8.2p1-4ubuntu0.1 amd64
    ii openssh-sftp-server 1:8.2p1-4ubuntu0.1 amd64

    Thank you.
    You should really start a different thread on that, as it's a totally different topic than what this thread is about.
    (users who may know what's going on, or what you're doing wrong won't see this issue in a thread about missing packages)
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

Page 2 of 2 FirstFirst 12

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •